DEP0018 error when installing a package

I am trying to install a package for my project in IONIC v1 and I am getting this error:

enter image description here

when executing this command:

C:\xampp\htdocs\tin_app>cordova plugin add cordova-plugin-googlemaps@2.3.1 \ --variable API_KEY_FOR_ANDROID="xxxx"

Why does this happen and what can I do to solve it? I would appreciate it if you would explain me well, I am quite new in this topic and I can not find a solution. please have me patience I am new in this world. thank you.